import QMSCKEditorTree from '../models/qms-ckeditor-tree.model';
import { TreeNode } from '../models/qms-ckeditor-tree-node.model';
declare function buildArrayTree(obj: object, level: number): TreeNode[];
declare function buildObjectTree(arr: QMSCKEditorTree[]): object;
declare function findParent(id: string, array: QMSCKEditorTree[]): {};
declare function findChild(id: string, objParent: object, array: QMSCKEditorTree[]): void;
declare const QMSCKEditorTreeFunctions: {
    buildArrayTree: typeof buildArrayTree;
    buildObjectTree: typeof buildObjectTree;
    findParent: typeof findParent;
    findChild: typeof findChild;
};
export default QMSCKEditorTreeFunctions;
